<?php
// This script is called from ''update.php''.
require( 'init.inc.php' );
require( LIBS_DIR . 'command.inc.php' );
require( LIBS_DIR . 'filters.inc.php' );

Filters::getInstance( $filter_file );

$argc = ! empty( $_SERVER['argc'] ) ? (int)$_SERVER['argc'] : (int)ifsetor( $argc, 0 );
$argv = ! empty( $_SERVER['argv'] ) ?      $_SERVER['argv'] :      ifsetor( $argv, array() );

if ( ! preg_match( '/cli|cgi(?:-fcgi)/', PHP_SAPI ) || $argc !== 3 ) {
	exit( "Invalid Call.\n" );
}

set_time_limit( 120 );

// Get URI and count from $argv
$count = (int)$argv[1];
$uri   = $argv[2];

// enable implicit flush.
ob_implicit_flush( 0 );

$result = Command::checkAll( $count, $uri, $count_file );
fwrite( STDOUT, $result );
exit;
