<?php
if ( basename( $_SERVER['SCRIPT_NAME'] ) === basename( __FILE__ ) ) { exit; }

$get  =& Request::getInstance( '_GET' );
$post =& Request::getInstance( '_POST' );
$fil  =& Filters::getInstance();

$top_page    = WEB_SELF;
$filter_page = $top_page . '?mode=filter';
$status_page = $top_page . '?mode=status';
$config_page = $top_page . '?mode=config';
$test_page   = $top_page . '?mode=filter&test=';

$raw_filters = $fil->getRawFilters();

$link = $get->get( 'link', '' );
$view = '';
$uri  = '';
$from = '';

if ( $get->is_set( 'test' ) ) {
	$uri    = $get->get( 'test', '' );
	$from   = $post->get( 'from' );
	$result = '';
	if ( $from ) {
		// $result is html escaped in $file->test();
		$result = $fil->test( $uri, $from );
	}
	$view = 'test';
	$test_result   = preg_replace( '/^(\s+)/me', 'str_repeat( "&nbsp;", strlen("\\1") );', nl2br( $result ) );
	$apply_filters = ifsetor( $raw_filters[$uri], array() );
}

$filters = array();
foreach ( $raw_filters as $pattern => $filter ) {
	$filters[] = array(
		'count'   => count( $filter ),
		'uri'     => $pattern,
		'filters' => $filter,
	);
}
